# SentLogApi

All URIs are relative to *https://reputationcrm.com/v2*

Method | HTTP request | Description
------------- | ------------- | -------------
[**getSentLogByCompanyId**](SentLogApi.md#getSentLogByCompanyId) | **GET** /getSentLogByCompanyId | Get company&#39;s sent log
[**getSentLogByCustomerId**](SentLogApi.md#getSentLogByCustomerId) | **GET** /getSentLogByCustomerId | Get a customerâ€™s sent log


<a name="getSentLogByCompanyId"></a>
# **getSentLogByCompanyId**
> List&lt;SentLog&gt; getSentLogByCompanyId(companyid)

Get company&#39;s sent log

Get company&#39;s sent log

### Example
```java
// Import classes:
//import io.swagger.client.ApiClient;
//import io.swagger.client.ApiException;
//import io.swagger.client.Configuration;
//import io.swagger.client.auth.*;
//import io.swagger.client.api.SentLogApi;

ApiClient defaultClient = Configuration.getDefaultApiClient();

// Configure API key authorization: api_key
ApiKeyAuth api_key = (ApiKeyAuth) defaultClient.getAuthentication("api_key");
api_key.setApiKey("YOUR API KEY");
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//api_key.setApiKeyPrefix("Token");

SentLogApi apiInstance = new SentLogApi();
String companyid = "companyid_example"; // String | Company ID
try {
    List<SentLog> result = apiInstance.getSentLogByCompanyId(companyid);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling SentLogApi#getSentLogByCompanyId");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **companyid** | **String**| Company ID |

### Return type

[**List&lt;SentLog&gt;**](SentLog.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: application/json, application/xml

<a name="getSentLogByCustomerId"></a>
# **getSentLogByCustomerId**
> List&lt;SentLog&gt; getSentLogByCustomerId(customerid)

Get a customerâ€™s sent log

Get a customerâ€™s sent log

### Example
```java
// Import classes:
//import io.swagger.client.ApiClient;
//import io.swagger.client.ApiException;
//import io.swagger.client.Configuration;
//import io.swagger.client.auth.*;
//import io.swagger.client.api.SentLogApi;

ApiClient defaultClient = Configuration.getDefaultApiClient();

// Configure API key authorization: api_key
ApiKeyAuth api_key = (ApiKeyAuth) defaultClient.getAuthentication("api_key");
api_key.setApiKey("YOUR API KEY");
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//api_key.setApiKeyPrefix("Token");

SentLogApi apiInstance = new SentLogApi();
String customerid = "customerid_example"; // String | Customer ID
try {
    List<SentLog> result = apiInstance.getSentLogByCustomerId(customerid);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling SentLogApi#getSentLogByCustomerId");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **customerid** | **String**| Customer ID |

### Return type

[**List&lt;SentLog&gt;**](SentLog.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: application/json, application/xml

